Company logoTrust Center Documentation
API v1 ReferenceUpdatesClassifications

Create update classification

Create a tenant-owned classification for update organization and subscriber preferences. Browse request parameters, authentication requirements, response…

Create a tenant-owned classification for update organization and subscriber preferences.

POST
/api/v1/updates/classifications

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/updates/classifications" \  -H "Content-Type: application/json" \  -d '{    "title": "Security advisory",    "color": "destructive",    "translations": [      {        "languages_code": "de-DE",        "title": "Sicherheitshinweis"      }    ],    "custom_fields": [      {        "title": "Severity",        "options": [          {            "value": "low"          },          {            "value": "medium"          },          {            "value": "high"          }        ]      }    ]  }'
{
  "success": true,
  "data": {
    "classification": {
      "id": "string",
      "title": "string",
      "color": "string",
      "translations": [
        {
          "languages_code": "de-DE",
          "title": "string"
        }
      ],
      "custom_fields": [
        {
          "title": "string",
          "translations": [
            {
              "languages_code": "de-DE",
              "title": "string"
            }
          ],
          "options": [
            {
              "value": "string",
              "label": [
                {
                  "languages_code": "string",
                  "translation": "string"
                }
              ]
            }
          ]
        }
      ]
    }
  }
}
Empty
Empty

How is this guide?